Name:           atari++
Version:        1.55
Release:        2%{?dist}
Summary:        Unix based emulator of the Atari eight bit computers

Group:          Applications/Emulators
License:        TPL
URL:            http://www.math.tu-berlin.de/%7Ethor/atari++/
Source0:        http://www.math.tu-berlin.de/%7Ethor/atari++/download/atari++.tgz
# add DESTDIR support
Patch0:         %{name}-1.55-destdir.patch
# be verbose during compile
#Patch1:         %{name}-verbose.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel libICE-devel libSM-devel zlib-devel ncurses-devel libpng-devel


%description
The Atari++ Emulator is a Unix based emulator of the Atari eight bit
computers, namely the Atari 400 and 800, the Atari 400XL, 800XL and 130XE,
and the Atari 5200 game console. The emulator is auto-configurable and
will compile on a variety of systems (Linux, Solaris, Irix).
Atari++ 1.30 and up contain a built-in ROM emulation that tries to mimic
the AtariXL operating system closely.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .destdir
#%patch1 -p1 -b .verbose

# fix encoding
f=README.History
iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
touch -r $f $f.new
mv $f.new $f


%build
%configure
make %{?_smp_mflags} OPTIMIZER="$RPM_OPT_FLAGS -DDEBUG_LEVEL=0 -DCHECK_LEVEL=0"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove installed docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT CREDITS README.LEGAL README.History README.licence
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.*


%changelog
* Sun Nov 23 2008 Dan Horák <dan[at]danny.cz> 1.55-2
- disable the verbose patch

* Wed Nov 19 2008 Dan Horák <dan[at]danny.cz> 1.55-1
- initial Fedora version
